'''
Starter
=============

starter program
'''

from BagOfWords import BagOfWords
from CsvHandler import CsvHandler
from DecisionTree import DecisionTree
from NaiveBayes import NaiveBayes
#from Requester import Requester
from SVM import SVM

print('# starting program')
print('# ...')

# only if new unlabeled(!) data set is required:
# Requester.save_articles_from_webhoseio()

file = 'classification_labelled_corrected.csv'

# read csv file
print('# reading dataset')
print('# ...')
dataset = CsvHandler.read_csv(file)

# DecisionTree.make_tree(dataset)
NaiveBayes.make_naive_bayes(dataset)
# SVM.make_svm(dataset)

print('# ending program')